extends 'base.pug'
load static
  -block content

    form#contacts(action="", method="post", class="contact-form")
      | Фамилия
      input(name="first_name", placeholder="Фамилия")
      | Имя
      input(name="second_name", placeholder="Имя")
      | Отчество
      input(name="third_name", placeholder="Отчество")
      | Регион
      select(name="region")
        option
        for region in regions
          option(value="{{ region.pk }}") {{ region.region }}
      .additional-fields
      | Контактный телефон
      input(name="phone", placeholder="+7 (012) 345-67-89")
      | Email
      input(name="email", placeholder="Email")
      | Комментарий
      textarea(name="comment", placeholder="Комментарий")
      input(type="submit") Отправить

    script.
      $().ready(function () {

        /*Обработчик select'a регион*/
        var select_region = function () {
          $('select[name="region"]').change(function () {
            var region = $(this).val();
            if (region != '') {
              $.ajax({
                url: 'get-towns',
                method: 'post',
                headers: {'X-CSRFToken': $.cookie('csrftoken')},
                data: {'region': region},
                dataType: 'json',
                success: function (response) {
                  if (response['status'] == 'success') {
                    $('.additional-fields').html(response['template'])
                  };
                  if (response['status'] == 'error') {
                    console.log(response['error'])
                  };
                },
              });
            } else {
              $('.additional-fields').html('');
            };
          });
        };

        select_region();

        /*Маска для телефона*/
        $('input[name="phone"]').mask('+7 (000) 000-00-00');

        /*Обработчик контактной формы*/
        var contact_form_submit = function () {
          $('form#contacts').validate({
            rules: {
              first_name: {
                required: true,
              },
              second_name: {
                required: true,
              },
              email: {
                email: true,
              },
              comment: {
                required: true,
              },
            },
            messages: {
              first_name: {
                required: '',
              },
              second_name: {
                required: '',
              },
              email: {
                email: '',
              },
              comment: {
                required: '',
              }
            },
            submitHandler: function (form) {
              var self = $(form);
              var town = '';
              if ($(form).find('select[name="town"] option:selected').val()) {
                town = $(form).find('select[name="town"] option:selected').val();
              }
              var data = {
                first_name: self.find('input[name="first_name"]').val(),
                second_name: self.find('input[name="second_name"]').val(),
                third_name: self.find('input[name="third_name"]').val(),
                town: town,
                phone: self.find('input[name="phone"]').val().replace(/\D+/g, ''),
                email: self.find('input[name="email"]').val(),
                comment: self.find('textarea[name="comment"]').val(),
              };
              $.ajax({
                url: 'save-contact',
                data: data,
                method: 'post',
                headers: {'X-CSRFToken': $.cookie('csrftoken')},
                dataType: 'json',
                success: function (response) {
                  if (response['status'] == 'success') {
                    alert(response['message']);
                    self[0].reset();
                  }
                  if (response['status'] == 'error') {
                    console.log(response['error']);
                  };
                },
              });
            }
          });
        };
        contact_form_submit();
      });
